> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Post Detail

> Get Post Detail



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/post/detail
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/post/detail:
    get:
      tags:
        - Post
      summary: Get Post Detail
      description: Get Post Detail
      operationId: getApiV1PostDetail
      parameters:
        - in: query
          name: post_id
          schema:
            type: string
            pattern: ^\d+$
            description: Post ID containing only numbers
            example: '1234567890'
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Post ID
                        example: '7311326459975905280'
                      urn:
                        type: string
                        description: Post URN
                        example: urn:li:activity:7311326459975905280
                      text:
                        type: string
                        description: Post Text
                        example: >-
                          Kubernetes allows orgs to adjust their infrastructure
                          to match changing demand...
                      content:
                        type: object
                        properties:
                          images:
                            type:
                              - array
                              - 'null'
                            items:
                              type: object
                              properties:
                                width:
                                  type: number
                                  description: Logo width
                                  example: 400
                                height:
                                  type: number
                                  description: Logo height
                                  example: 400
                                url:
                                  type: string
                                  description: Logo URL
                                  example: >-
                                    https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                expires_at:
                                  type: number
                                  description: Logo expires at
                                  example: 1748476800000
                            description: Post Images
                          video:
                            type:
                              - object
                              - 'null'
                            properties:
                              thumbnail:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    width:
                                      type: number
                                      description: Logo width
                                      example: 400
                                    height:
                                      type: number
                                      description: Logo height
                                      example: 400
                                    url:
                                      type: string
                                      description: Logo URL
                                      example: >-
                                        https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                    expires_at:
                                      type: number
                                      description: Logo expires at
                                      example: 1748476800000
                                description: Video Thumbnail
                              duration:
                                type: string
                                description: Video Duration
                              aspect_ratio:
                                type: string
                                description: Video Aspect Ratio
                              streams:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      description: Video Stream URL
                                      example: >-
                                        https://www.linkedin.com/video/urn:li:dms_video:D4E3DAQGzWAY8oQqw
                                    expires_at:
                                      type: number
                                      description: Video Stream Expires At
                                      example: 1748476800000
                                    size:
                                      type: number
                                      description: Video Stream Size
                                      example: 123456
                                    width:
                                      type: number
                                      description: Video Stream Width
                                      example: 1920
                                    height:
                                      type: number
                                      description: Video Stream Height
                                      example: 1080
                                    bit_rate:
                                      type: number
                                      description: Video Stream Bit Rate
                                      example: 5000000
                                description: Video Streams
                            required:
                              - thumbnail
                            description: Post Video
                          document:
                            type:
                              - object
                              - 'null'
                            properties:
                              title:
                                type: string
                                description: Document Title
                              total_page_count:
                                type: number
                                description: Document Total Page Count
                              manifest_url:
                                type: string
                                description: Document Manifest URL
                              manifest_url_expires_at:
                                type: number
                                description: Document Manifest URL Expires At
                              transcribed_document_url:
                                type: string
                                description: Document Transcribed URL
                            description: Post Document
                          article:
                            type:
                              - object
                              - 'null'
                            properties:
                              title:
                                type: string
                                description: Article Title
                              subtitle:
                                type: string
                                description: Article Subtitle
                              article_url:
                                type: string
                                description: Article URL
                              image:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    width:
                                      type: number
                                      description: Logo width
                                      example: 400
                                    height:
                                      type: number
                                      description: Logo height
                                      example: 400
                                    url:
                                      type: string
                                      description: Logo URL
                                      example: >-
                                        https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                    expires_at:
                                      type: number
                                      description: Logo expires at
                                      example: 1748476800000
                                description: Article Image
                            description: Post Article
                          celebration:
                            type:
                              - object
                              - 'null'
                            properties:
                              url:
                                type: string
                                description: Celebration URL
                              title:
                                type: string
                                description: Celebration Title
                              tagged:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      description: Tagged User URL
                                    first_name:
                                      type: string
                                      description: Tagged User First Name
                                    last_name:
                                      type: string
                                      description: Tagged User Last Name
                                    public_identifier:
                                      type: string
                                      description: Tagged User Public Identifier
                                    urn:
                                      type: string
                                      description: Tagged User URN
                                description: Tagged Users
                            description: Post Celebration
                          poll:
                            type:
                              - object
                              - 'null'
                            properties:
                              question:
                                type: string
                                description: Poll Question
                              closed:
                                type: boolean
                                description: Poll Closed Status
                              duration:
                                type: string
                                description: Poll Duration
                              options:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    title:
                                      type: string
                                      description: Poll Option Title
                                    count:
                                      type: number
                                      description: Poll Option Count
                                description: Poll Options
                            description: Post Poll
                          event:
                            type:
                              - object
                              - 'null'
                            properties:
                              title:
                                type: string
                                description: Event Title
                              banner:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    width:
                                      type: number
                                      description: Logo width
                                      example: 400
                                    height:
                                      type: number
                                      description: Logo height
                                      example: 400
                                    url:
                                      type: string
                                      description: Logo URL
                                      example: >-
                                        https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                    expires_at:
                                      type: number
                                      description: Logo expires at
                                      example: 1748476800000
                                description: Event Banner
                              url:
                                type: string
                                description: Event URL
                              time_start:
                                type: string
                                description: Event Start Time
                              time_event:
                                type: string
                                description: Event Time
                              location:
                                type: string
                                description: Event Location
                            description: Post Event
                        description: Post Content
                      activity:
                        type: object
                        properties:
                          num_likes:
                            type: number
                            description: Number of Likes
                            example: 100
                          num_comments:
                            type: number
                            description: Number of Comments
                            example: 50
                          num_shares:
                            type: number
                            description: Number of Shares
                            example: 20
                          reaction_counts:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  description: Reaction Type
                                  example: LIKE
                                count:
                                  type: number
                                  description: Reaction Count
                                  example: 10
                        required:
                          - reaction_counts
                        description: Post Activity
                      author:
                        type: object
                        properties:
                          id:
                            type: string
                            description: Author ID
                          url:
                            type: string
                            description: Author LinkedIn URL
                          name:
                            type: string
                            description: Author Name
                          avatar:
                            type: array
                            items:
                              type: object
                              properties:
                                width:
                                  type: number
                                  description: Logo width
                                  example: 400
                                height:
                                  type: number
                                  description: Logo height
                                  example: 400
                                url:
                                  type: string
                                  description: Logo URL
                                  example: >-
                                    https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                expires_at:
                                  type: number
                                  description: Logo expires at
                                  example: 1748476800000
                            description: Author Avatar
                        description: Post Author
                      created_at:
                        type: string
                        description: Post Created At
                        example: '2025-03-28T10:12:49.775Z'
                      url:
                        type: string
                        description: Post URL
                        example: >-
                          https://www.linkedin.com/feed/update/urn:li:activity:7311326459975905280
                      share_urn:
                        type: string
                        description: Post Share URN
                        example: urn:li:share:7310423073340493825
                      post_type:
                        type: string
                        enum:
                          - activity
                          - ugc
                        description: Post Type
                        example: activity
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````